레플리카
레플리카 목록 조회
GET
/
endpoints
/
{endpoint_id}
/
replicas
레플리카 목록 조회
curl --request GET \
--url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"replica_id": "2xoeq1pe",
"state": "RUNNING",
"node_id": "<string>",
"node_ip": "100.64.0.11",
"actor_id": "<string>",
"actor_name": "<string>",
"worker_id": "<string>",
"pid": 123,
"start_time_s": 123
}
]인증
API Key를 Bearer 토큰으로 전달합니다. 프로젝트 개요의 API 키 메뉴에서 생성할 수 있습니다.
경로 매개변수
엔드포인트 고유 ID
응답
200 - application/json
레플리카 목록
레플리카 고유 ID
예시:
"2xoeq1pe"
레플리카 상태 (RUNNING, STARTING, STOPPING 등)
예시:
"RUNNING"
레플리카가 실행 중인 노드 ID
노드 IP 주소
예시:
"100.64.0.11"
Ray actor ID
Ray actor 이름
Ray worker ID
프로세스 ID
레플리카 시작 시간 (Unix timestamp, 초 단위)
⌘I
레플리카 목록 조회

